<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myUnitShipmentOutgoingLabel" jhiTranslate="mpmApp.unitShipmentOutgoing.home.createOrEditLabel">Create or edit a Unit Shipment Outgoing</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!unitShipmentOutgoing.idShipment">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="unitShipmentOutgoing.idShipment" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitShipmentOutgoing.shipmentNumber" for="field_shipmentNumber">Shipment Number</label>
                    <input type="text" class="form-control" name="shipmentNumber" id="field_shipmentNumber"
                        [(ngModel)]="unitShipmentOutgoing.shipmentNumber" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitShipmentOutgoing.description" for="field_description">Description</label>
                    <input type="text" class="form-control" name="description" id="field_description"
                        [(ngModel)]="unitShipmentOutgoing.description" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitShipmentOutgoing.dateSchedulle" for="field_dateSchedulle">Date Schedulle</label>
                    <div class="input-group">
                        <p-calendar inputId="field_dateSchedulle" name="input_dateSchedulle" [(ngModel)]="unitShipmentOutgoing.dateSchedulle"
                            dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                            [showIcon]="true"></p-calendar>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitShipmentOutgoing.reason" for="field_reason">Reason</label>
                    <input type="text" class="form-control" name="reason" id="field_reason"
                        [(ngModel)]="unitShipmentOutgoing.reason" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitShipmentOutgoing.dateBAST" for="field_dateBAST">Date BAST</label>
                    <div class="input-group">
                        <p-calendar inputId="field_dateBAST" name="input_dateBAST" [(ngModel)]="unitShipmentOutgoing.dateBAST"
                            dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                            [showIcon]="true"></p-calendar>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitShipmentOutgoing.note" for="field_note">Note</label>
                    <input type="text" class="form-control" name="note" id="field_note"
                        [(ngModel)]="unitShipmentOutgoing.note" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitShipmentOutgoing.otherName" for="field_otherName">Other Name</label>
                    <input type="text" class="form-control" name="otherName" id="field_otherName"
                        [(ngModel)]="unitShipmentOutgoing.otherName" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitShipmentOutgoing.deliveryOption" for="field_deliveryOption">Delivery Option</label>
                    <input type="text" class="form-control" name="deliveryOption" id="field_deliveryOption"
                        [(ngModel)]="unitShipmentOutgoing.deliveryOption" />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitShipmentOutgoing.deliveryAddress" for="field_deliveryAddress">Delivery Address</label>
                    <input type="text" class="form-control" name="deliveryAddress" id="field_deliveryAddress"
                        [(ngModel)]="unitShipmentOutgoing.deliveryAddress" />
                </div>

                <div class="form-group" *ngIf="idShipmentType === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitShipmentOutgoing.shipmentType" for="field_shipmentType">Shipment Type</label>
                    <select class="form-control" id="field_shipmentType" name="shipmentType" [(ngModel)]="unitShipmentOutgoing.shipmentTypeId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="shipmentTypeOption.idShipmentType" *ngFor="let shipmentTypeOption of shipmenttypes; trackBy: trackShipmentTypeById">{{shipmentTypeOption.id}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idShipFrom === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitShipmentOutgoing.shipFrom" for="field_shipFrom">Ship From</label>
                    <select class="form-control" id="field_shipFrom" name="shipFrom" [(ngModel)]="unitShipmentOutgoing.shipFromId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="shipToOption.idShipTo" *ngFor="let shipToOption of shiptos; trackBy: trackShipToById">{{shipToOption.id}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idShipTo === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitShipmentOutgoing.shipTo" for="field_shipTo">Ship To</label>
                    <select class="form-control" id="field_shipTo" name="shipTo" [(ngModel)]="unitShipmentOutgoing.shipToId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="shipToOption.idShipTo" *ngFor="let shipToOption of shiptos; trackBy: trackShipToById">{{shipToOption.id}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idAddressFrom === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitShipmentOutgoing.addressFrom" for="field_addressFrom">Address From</label>
                    <select class="form-control" id="field_addressFrom" name="addressFrom" [(ngModel)]="unitShipmentOutgoing.addressFromId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="postalAddressOption.idContact" *ngFor="let postalAddressOption of postaladdresses; trackBy: trackPostalAddressById">{{postalAddressOption.id}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idAddressTo === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.unitShipmentOutgoing.addressTo" for="field_addressTo">Address To</label>
                    <select class="form-control" id="field_addressTo" name="addressTo" [(ngModel)]="unitShipmentOutgoing.addressToId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="postalAddressOption.idContact" *ngFor="let postalAddressOption of postaladdresses; trackBy: trackPostalAddressById">{{postalAddressOption.id}}</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
